Name:           perl-Text-Table
Version:        1.135
Release:    1%{?dist}
Summary:        Organize Data in Tables
License:        ISC

URL:            https://metacpan.org/release/Text-Table
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/Text-Table-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(overload)
BuildRequires:  perl(Text::Aligner) >= 0.05
BuildRequires:  perl(blib)
BuildRequires:  perl(constant)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More)
Requires:       perl(Text::Aligner) >= 0.05

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Text::Aligner\\)$

%description
Organization of data in table form is a time-honored and useful method of
data representation. While columns of data are trivially generated by
computer through formatted output, even simple tasks like keeping titles
aligned with the data columns are not trivial, and the one-shot solutions
one comes up with tend to be particularly hard to maintain. Text::Table
allows you to create and maintain tables that adapt to alignment
requirements as you use them.

%prep
%setup -q -n Text-Table-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.135-1
- initial build
